﻿/*Size smaller*/

.mud-icon-size-small {
    font-size: 1rem;
}

.mud-icon-size-medium {
    font-size: 1.25rem;
}

.mud-icon-size-large {
    font-size: 2rem;
}



.mud-cal-month-dropzone {
    overflow: hidden !important;
    white-space: nowrap !important;
    text-align: center;
}

.mud-table-cell {
    font-size: .775rem !important;
    padding: 0px 12px 0px 8px !important;
    padding-inline-start: 8px !important;
    padding-inline-end: 12px !important;
    height: 45px !important;
}

@media (max-width: 600px) {
    .mud-table-cell {
        padding: 14px 16px !important;
        height: unset !important;
    }
}

.mud-table-head * th {
    padding: 12px !important;
}


/*Size smaller end*/
.blur-background {
    filter: blur(3px) grayscale(1);
    pointer-events: none;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.blur-dialog {
    backdrop-filter: blur(10px);
}

.popover-notification-width {
    width: 700px;
    left: unset !important;
    right: 5px !important;
}

#map {
    width: 100%;
    height: 100%;
    position: fixed;
}

@media(min-width: 600px) {
    .mud-toolbar {
        --mud-internal-toolbar-height: 48px !important;
    }

    .mud-toolbar-gutters {
        padding-left: 24px;
        padding-right: 24px;
    }
}

@media(max-width:900px) {
    .mud-drawer.mud-drawer-mini.mud-drawer-pos-left.mud-drawer--closed {
        display: none;
    }

    .mud-drawer.mud-drawer-mini.mud-drawer-pos-right.mud-drawer--closed {
        display: none;
    }

    .mud-container {
        width: 100% !important;
        margin-left: auto !important;
        padding-left: 0 !important;
        margin-right: auto !important;
        padding-right: 5px !important;
    }

    .mud-application-layout-rtl .mud-container {
        width: 100% !important;
        margin-right: auto !important;
        padding-right: 0 !important;
        margin-left: auto !important;
        padding-left: 5px !important;
    }

    .focusListDrawer {
        --mud-drawer-width: 90% !important;
    }
}

@media(max-width:1400px) {

    .mud-container {
        width: 96% !important;
    }

    .mud-application-layout-rtl .mud-container {
        width: 96% !important;
    }
}

@media(min-width:1900px) {

    .mud-container {
        padding-left: 14px !important;
    }

    .mud-application-layout-rtl .mud-container {
        padding-right: 14px !important;
    }
}


.mud-drawer {
    top: 70px;
    border-radius: 0px 10px 10px 0;
    border: solid 1px #e9e9e9;
}

.mud-application-layout-rtl .mud-drawer {
    border-radius: 10px 0 0 10px;
}

.mud-container {
    width: 97%;
    margin-left: auto;
    padding-left: 24px;
    margin-right: 7px;
    padding-right: 7px;
}

.mud-application-layout-rtl .mud-container {
    width: 97%;
    margin-right: auto;
    padding-right: 24px;
    margin-left: 7px;
    padding-left: 7px;
}

.mud-breadcrumbs {
    font-size: 14px !important;
}

.mud-drawer {
    position: fixed !important;
}

    .mud-drawer.mud-drawer-mini.mud-drawer-pos-left.mud-drawer--closed .mud-nav-group .mud-nav-item .mud-nav-link:not(.active) {
        display: none;
    }

.mud-nav-link.active .mud-nav-link-icon.mud-nav-link-icon-default {
    color: #3D8BFD !important;
}

.mud-navmenu.mud-navmenu-default .mud-nav-link.active:not(.mud-nav-link-disabled) {
    color: #3D8BFD !important;
    background-color: #E4EFFF !important;
}

.mud-nav-link .mud-icon-size-medium {
    font-size: 1.34rem !important;
}

.mud-navmenu .mud-divider {
    border-color: var(--mud-palette-drawer-icon);
}

.mud-drawer.mud-drawer-mini.mud-drawer-pos-left.mud-drawer--closed .mud-navmenu .mud-divider {
    border-color: var(--mud-palette-drawer-icon);
    border-width: 2px !important;
}

.mud-drawer.mud-drawer-mini.mud-drawer-pos-right.mud-drawer--closed .mud-navmenu .mud-divider {
    border-color: var(--mud-palette-drawer-icon);
    border-width: 2px !important;
}

.dashboard-custom-select {
    border-radius: 8px;
    border: 1px solid var(--Gray_02-4O);
    background: var(--TT-WHITE);
    margin-top: 3px;
}

    .dashboard-custom-select .mud-input-label {
        background: var(--TT-WHITE);
    }

.dasboard-custom-datepicker .mud-input-control {
    margin-top: 0px !important;
    margin-bottom: 0px !important;
}

.hiddenTabPage {
    visibility: hidden !important;
}

.userRankChamp {
    border-radius: 6px !important;
    border: 1px solid var(--Gray_02-4O) !important;
    background: var(--tt-blue-back) !important;
    min-height: 38px;
}

.userRank {
    border-radius: 6px !important;
    border: 1px solid var(--Gray_02-4O) !important;
    background: var(--TT-WHITE) !important;
    min-height: 38px;
}

.customDefaultChip {
    border-radius: 8px !important;
    color: var(--TT-BLUE) !important;
    font-weight: 700 !important;
    font-size: 12px !important;
    border: 1px solid var(--PRIMARY-LIGHT) !important;
    background: var(--TT-WHITE, #F8F9FA) !important
}

.gridPaperError {
    border-radius: 3.333px;
    border: 0.833px solid var(--GRID-PAPER-RED, #D33741);
    background: var(--GRID-PAPER-RED-BACK, #F8D7DA);
}

.gridPaperSecondary {
    border-radius: 3.333px;
    border: 0.833px solid var(--GRID-PAPER-PINK, #bd0d4d);
    background: var(--GRID-PAPER-PINK-BACK, #fcccf7);
}

.gridPaperWarning {
    border-radius: 3.333px;
    border: 0.833px solid var(--GRID-PAPER-YELLOW, #a1a816);
    background: var(--GRID-PAPER-YELLOW-BACK, #faf7c0);
}

.gridPaperSuccess {
    border-radius: 3.333px;
    border: 0.833px solid var(--GRID-PAPER-GREEN, #1bab78);
    background: var(--GRID-PAPER-GREEN-BACK, #cbf2d1);
}

.gridPaperPrimary {
    border-radius: 3.333px;
    border: 0.833px solid var(--GRID-PAPER-BLUE, #221fbf);
    background: var(--GRID-PAPER-BLUE-BACK, #c0c2fa);
}

.gridPaperInfo {
    border-radius: 3.333px;
    border: 0.833px solid var(--TT-BLUE-BACK, #E4EFFF);
    background: var(--primary-Bg_color, #F6F4FF);
}

.analystCustomDisabledSelect {
    border-radius: 8px;
    border: 1px solid rgba(210, 210, 210, 0.30);
    background: var(--TT-WHITE);
    color: var(--Gray_02-5O);
    font-size: 12px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

    .analystCustomDisabledSelect input {
        border-radius: 8px;
        color: var(--Gray_02-5O) !important;
        font-size: 12px !important;
        font-weight: 400 !important;
        line-height: normal !important;
        padding: 13px !important;
    }

    .analystCustomDisabledSelect textarea {
        color: var(--Gray_02-5O) !important;
        font-size: 12px !important;
        font-weight: 400 !important;
        line-height: normal !important;
    }


.focusListDisabledSelect {
    border-radius: 8px;
    border: 1px solid rgba(210, 210, 210, 0.30);
    background: var(--TT-WHITE);
    color: var(--Gray_02-5O);
    font-size: 12px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

    .focusListDisabledSelect input {
        border-radius: 8px;
        color: var(--Gray_02-5O) !important;
        font-size: 12px !important;
        font-weight: 400 !important;
        line-height: normal !important;
    }

    .focusListDisabledSelect textarea {
        color: var(--Gray_02-5O) !important;
        font-size: 12px !important;
        font-weight: 400 !important;
        line-height: normal !important;
    }
/* Notification Menu & Details */
notification-border-menu {
    border-radius: 10px !important;
    margin-top: 7px;
}

.notification-unread {
    font-weight: 600 !important;
}

.notification-summary {
    font-size: 13px;
    color: #198754;
    font-weight: 400;
    word-wrap: break-word;
}

.notification-details .user-notification {
    border-radius: 8px;
}

.notification-details .mud-alert-text-error {
    color: var(--mud-palette-error-darken) !important;
    background-color: var(--mud-palette-error-hover) !important;
    border: unset !important;
    border-color: unset !important;
    border-width: unset !important;
}

    .notification-details .mud-alert-text-error .ico {
        color: var(--mud-palette-error-darken) !important;
    }

.notification-details .mud-alert-text-success {
    color: var(--mud-palette-success-darken) !important;
    background-color: var(--mud-palette-success-hover) !important;
    border: unset !important;
    border-color: unset !important;
    border-width: unset !important;
}

    .notification-details .mud-alert-text-success .ico {
        color: var(--mud-palette-success-darken) !important;
    }

.notification-details .mud-alert-text-warning {
    color: var(--mud-palette-warning-darken) !important;
    background-color: var(--mud-palette-warning-hover) !important;
    border: unset !important;
    border-color: unset !important;
    border-width: unset !important;
}

    .notification-details .mud-alert-text-warning .ico {
        color: var(--mud-palette-warning-darken) !important;
    }

.notification-details .mud-alert-text-info {
    color: var(--mud-palette-info-darken) !important;
    background-color: var(--mud-palette-info-hover) !important;
    border: unset !important;
    border-color: unset !important;
    border-width: unset !important;
}

    .notification-details .mud-alert-text-info .ico {
        color: var(--mud-palette-info-darken) !important;
    }

.notification-details .user-notification .mud-alert-message {
    width: 99%;
    font-size: 13px;
    font-weight: 500 !important;
}

    .notification-details .user-notification .mud-alert-message .content {
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

.linked-notification {
    cursor: pointer;
}

.notification-pagination .mud-button-filled.mud-button-filled-primary {
    color: var(--mud-palette-primary) !important;
    background-color: unset !important;
    font-weight: bold !important;
}

.notification-pagination .mud-button-filled {
    color: unset !important;
    box-shadow: unset !important;
    background-color: unset !important;
}

/* Notification Menu & Details End */

/* Agency Details */

.agency-detail-ico {
    display: flex;
    width: 42px;
    height: 42px;
    padding: 10.93px 13.929px 13.07px 13.071px;
    justify-content: center;
    align-items: center;
    flex-shrink: 0;
    border-radius: 171.429px;
    border: 0.857px solid var(--TT-BLUES, #192037);
}

/* Agency Details End */

/* Application Details */
.mud-blue-switch .mud-switch-span .mud-switch-track {
    opacity: 1 !important;
    background-color: #cccccc;
}

.mud-blue-switch .mud-switch-span .mud-checked + .mud-switch-track {
    opacity: 1 !important;
    background-color: #3D8BFD !important;
}

.mud-blue-switch .mud-switch-label-small {
    font-size: .7525rem !important;
    padding-left: 9px !important;
    color: #3d8bfd;
    font-weight: 500;
}

.mud-blue-switch .mud-switch-span-small.mud-switch-span {
    padding: 3px;
    width: 37px;
    height: 23px;
}

.mud-blue-switch .mud-switch-base-small.mud-switch-base {
    padding: 4px;
}

.mud-blue-switch .mud-switch-base.mud-checked {
    transform: translateX(14px);
}

.mud-detail-field-info .mud-input-label {
    font-weight: 500 !important;
    padding-left: 3px !important;
    padding-bottom: 10px !important;
}

.mud-detail-chip-info {
    box-shadow: 0px 4px 8px 0px rgba(0, 0, 0, 0.10) !important;
}

.mud-detail-button {
    border-radius: 4px !important;
    color: #ffffff !important;
    background: #3D8BFD !important;
    min-height: 37px !important;
}

    .mud-detail-button .ico {
        margin-top: -8px !important;
        font-size: 1rem !important;
    }

/* Application Details End */
/* Sales Details */
.mud-blue-button {
    border-radius: 4px !important;
    border: 1px solid #3D8BFD !important;
    color: #3D8BFD !important;
    text-transform: unset !important;
    font-weight: 500 !important;
    font-size: var(--mud-typography-button-size) !important;
}

    .mud-blue-button .ico {
        margin-top: -8px !important;
        color: #3D8BFD !important;
        font-size: 1rem !important;
    }

.mud-standart-button .ico {
    margin-top: -8px !important;
    font-size: 0.95rem !important;
}

.general-header-blue {
    background: var(--TT-BLUE-BACK, #E4EFFF);
    border-radius: 8px;
    border: 2px solid var(--TT-BLUE, #3D8BFD);
    min-height: 40px;
    font-weight: 700;
    color: var(--TT-BLUE, #3D8BFD);
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

.general-header-red {
    background: var(--TT-RED-BACK);
    border-radius: 8px;
    border: 2px solid var(--TT-RED);
    min-height: 40px;
    font-weight: 700;
    color: var(--TT-RED);
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

.grid-detail-card {
    height: 90%;
    align-items: center;
    padding: 4px;
    margin: 4px;
    border: 1px solid #f3f0f0;
}

.sales-info {
    border: 1px #E9EBED solid;
    border-radius: 8px;
}

.sales-header-border {
    /*background: #F8F9FA;*/
    border-radius: 4px;
    /*border: 0.78px #757575 solid;*/
    min-height: 40px;
    font-weight: 700;
}

.sales-border {
    border-radius: 4px;
    border: 1px rgba(37, 41, 71, 0.15) solid;
    background: #F8F9FA;
    min-height: 40px;
}

.sales-file-input {
    border-radius: 4px !important;
    border: 1px solid #E0E0E0 !important;
    background: #F8F9FA !important;
}

    .sales-file-input:after {
        content: "\edfa";
        font-family: fonticon;
        font-style: normal;
        font-weight: normal;
        text-decoration: inherit;
        position: absolute;
        font-size: 60px;
        color: #192037;
        top: 100%;
        left: 50%;
        margin: -100px 0 0 -75px;
        z-index: 1;
        opacity: 0.1;
    }

.sales-input {
    border-radius: 4px !important;
    border: 0 !important;
    min-height: 35px !important;
}

    .sales-input .mud-input {
        height: 100% !important;
    }

    .sales-input .mud-input-control-input-container {
        background: #F8F9FA !important;
        border-radius: 4px !important;
        height: 100% !important;
    }

    .sales-input .mud-input input {
        height: auto !important;
    }

    .sales-input .mud-input-label-outlined {
        background-color: #F8F9FA !important;
        border-radius: 8px;
        opacity: 0.9;
    }

    .sales-input .sales-input-toolbar {
        min-height: unset !important;
    }

.sales-radio {
    border-radius: 4px;
    border: 1px rgba(37, 41, 71, 0.15) solid;
    background: #F8F9FA;
    padding: 0 7px 0 7px;
}

.sales-button {
    color: #3D8BFD !important;
    background-color: #E4EFFF !important;
    box-shadow: unset !important;
    border: 0.78px #3D8BFD solid !important;
    min-height: 35px;
    margin-top: -2px;
}

    .sales-button:hover {
        background-color: #d6e6fd !important;
    }

.sales-button-bold {
    font-weight: 700;
}

.mud-input.mud-input-underline:hover:not(.mud-disabled):before {
    border-bottom: unset !important;
}

.mud-input.mud-input-underline:before {
    border-bottom: unset !important;
}

.mud-input.mud-input-underline:after {
    border-bottom: unset !important;
}

/* Global */

.mud-toolbar {
    height: unset !important;
    min-height: var(--mud-internal-toolbar-height);
}

.mud-tabs-toolbar-primary .mud-tab.mud-tab-active {
    font-weight: 700;
    color: rgb(37 41 71) !important;
    background-color: white !important;
    border-radius: var(--mud-default-borderradius) !important;
}

.mud-tabs-toolbar-primary .mud-tab-slider {
    background: unset !important;
}

.mud-tabs-toolbar-primary .mud-tab.mud-tab-active:hover {
    background-color: rgb(225 225 225);
}

.mud-tabs:not(.mud-tabs-vertical) .mud-tab {
    width: 100%;
    display: inline-flex;
    padding: 6px 12px;
    min-height: 35px;
    flex-shrink: 0;
    font-weight: 400;
    line-height: 1.75;
    user-select: none;
    white-space: normal;
    letter-spacing: .02857em;
    text-transform: unset;
    text-align: center;
    align-items: center;
    justify-content: center;
    transition: background-color 150ms cubic-bezier(.4,0,.2,1) 0ms;
    margin: 8px !important;
}

.mud-tabs-scroll-button {
    display: flex;
    background-color: #ffffff;
    color: #000000;
    border-radius: 100px;
    width: 25px;
    height: 25px;
    padding: 10px;
    justify-content: center;
    align-items: center;
    flex-shrink: 0;
    margin: 15px;
}

    .mud-tabs-scroll-button .mud-icon-root {
        width: 15px;
        height: 15px;
    }

.mud-tab.mud-disabled {
    cursor: default;
    pointer-events: none;
    color: rgb(153 153 153);
}

    .mud-tab .mud-disabled .mud-icon-root, .mud-disabled .mud-svg-icon, .mud-disabled .mud-icon-default {
        color: rgb(153 153 153);
    }

.mud-expand-panel {
    border: 1px #E9EBED solid;
    border-radius: 8px;
    margin-bottom: 10px;
    border-bottom: 1px solid var(--mud-palette-lines-default) !important;
}

    .mud-expand-panel .mud-expand-panel-header .ico {
        color: #757575;
    }

.mud-tab .ico {
    font-size: 12px !important;
    padding-top: 0px;
    margin-top: -9px;
}

.mud-tab .mud-badge {
    border-radius: 45px;
    font-size: 9px;
    height: 15px;
    letter-spacing: 0;
    min-width: 15px;
    padding: 3px 6px;
    pointer-events: auto;
    line-height: 1;
    position: absolute;
    text-align: center;
    text-indent: 0;
    top: auto;
    transition: .3s cubic-bezier(.25,.8,.5,1);
    white-space: nowrap;
    border: 0.75px #D1E7DD solid;
    font-weight: 700;
}

    .mud-tab .mud-badge.mud-badge-top.right {
        inset: auto auto calc(100% - -2px) calc(100% - 5px);
    }

.notification-menu-badge .mud-badge {
    border-radius: 45px;
    font-size: 9px;
    height: 17px;
    letter-spacing: 0;
    min-width: 17px;
    padding: 4px 4px;
    pointer-events: auto;
    line-height: 1;
    position: absolute;
    text-align: center;
    text-indent: 0;
    top: auto;
    transition: .3s cubic-bezier(.25,.8,.5,1);
    white-space: nowrap;
    border: 0.75px #D1E7DD solid;
    font-weight: 700;
}

    .notification-menu-badge .mud-badge.mud-badge-top.right {
        inset: auto auto calc(100% - 15px) calc(100% - 15px);
    }

.focusListDrawer {
    height: 90% !important;
    top: 70px !important;
    border-radius: 10px 0 0 10px !important;
    border: solid 1px #e9e9e9 !important;
}

.focusListButton {
    position: fixed;
    top: 40%;
    z-index: 3 !important;
    writing-mode: vertical-lr;
    min-width: unset;
    padding: 4px;
}

.stickyRight {
    right: 0;
    border-radius: 10px 0 0 10px;
}

.stickyLeft {
    left: 0;
    border-radius: 0 10px 10px 0;
}

.analystCustomGap {
    gap: 0 !important;
}

.analystCampaignPaper {
    border-radius: 4px;
    border: 1px solid var(--TT-RED);
    background: var(--TT-RED---BACK);
}

.analystCommentPaper {
    border-radius: 4px;
    border: 1px solid var(--TT-GREEN-2);
    background: var(--TT-GREEN);
}

.upcomingCallArea {
    border-radius: 4px;
    border: 1px solid rgba(210, 210, 210, 0.30);
    background: var(--TT-WHITE);
}
/* Global End */

/* Sales Details End */
@media print {
    .remove-other {
        display: none !important;
    }
    body {
        visibility: hidden;
    }
    .section-to-print {
        visibility: visible;
    }
    .only-print{
        visibility:visible !important;
    }
}
.serial-cart-fab {
    position: fixed !important;
    bottom: 24px !important;
    right: 24px !important;
    z-index: 1300 !important;
}

.cart-badge {
    position: absolute !important;
    top: -6px !important;
    right: -6px !important;
}
